Spectrum: Get central moment...

A command to query the selected Spectrum object.

If the complex spectrum is given by S(f), the nth central spectral moment is given by

∫0∞ (f – fc)n |S(f)|p df

divided by the "energy"

∫0∞ |S(f)|p df

In this formula, fc is the spectral centre of gravity (see Spectrum: Get centre of gravity...). Thus, the nth central moment is the average of (f – fc)n over the entire frequency domain, weighted by |S(f)|p. For p = 2, the weighting is done by the power spectrum, and for p = 1, the weighting is done by the absolute spectrum. A value of p = 2/3 has been seen as well.

## Settings

Moment
  the number n in the formulas above. A number of 3 gives you the third central spectral moment. It is not impossible to ask for fractional moments, e.g. n = 1.5.
Power
  the quantity p in the formula above. Common values are 2, 1, or 2/3.

## Usage

For n = 1, the central moment should be zero, since the centre of gravity fc is computed with the same p. For n = 2, you get the variance of the frequencies in the spectrum; the standard deviation of the frequency is the square root of this. For n = 3, you get the non-normalized spectral skewness; to normalize it, you can divide by the 1.5 power of the second moment. For n = 4, you get the non-normalized spectral kurtosis; to normalize it, you can divide by the square of the second moment and subtract 3. Praat can directly give you the quantities mentioned here:

  • Spectrum: Get centre of gravity...
  • Spectrum: Get standard deviation...
  • Spectrum: Get skewness...
  • Spectrum: Get kurtosis...